注意!
您正在以舊網站格式來檢視消息項。在一些瀏覽器版本中可能會有顯示上的問題。

關閉

9.15.1 版更新:模組、Action Script 3 解說

各位車長們

9.15.1 版更新與玩家以往的《戰車世界》有些不同玩家會發現這次更新內容的技術層面調整高於遊戲層面,其中最重要的技術層面在於將遊戲戰鬥介面轉移到最新的 ActionScript 3.0 程式語言。

我們將在本文說明更動目的、ActionScript 3.0 的優點以及避免更新釋出時造成不便的方法。

採用 ActionScript 3.0 的原因是

從《戰車世界》釋出開始介面開發程式一向都採用 ActionScript 2.02015 年的時候,《戰車世界》的車庫系統就已轉移至 ActionScript 3.0。在 9.15.1 版本更新中,遊戲戰鬥介面將完全轉移至新版本中。

轉移至最新版本後9.15.1 版本更新的客戶端性能將維持原先水準或是略為提升。不過,轉移至 ActionScript 3.0 可進一步把遊戲客戶端最佳化,此外,建立模組的過程將更為便利,而模組製作者也將有更多利用 AutoDesk Scaleform 的機會。

遊戲內模組性能

為戰鬥介面開發一種全新平台時,Wargaming 的人員與最受歡迎的模組製作者密切合作。由於先前的努力,我們大幅降低的第三方客戶端模組的性能風險。

重要:請注意在遊戲官方網站發出正式新聞前請勿對遊戲客戶端安裝第三方模組。將模組移至前一版本的 9.15.1 資料夾可能會使遊戲穩定性降低,因此不建議如此。

雖然《戰車世界》開發團隊與模組製作人密切合作但某些模組可能在某些時間無法使用而安裝也可能帶來技術問題。我們不建議安裝這些模組,以下列出其中一些:

XVM:

  • 所有元件

其他:

  • 高級傷害面板 (客製化傷害面板)
  • 附訊息歷史的聊天
  • 戰車符號

模組使用問題

有些玩家以不同的客戶端模組遊戲。提醒你這些模組並非由 Wargaming 製作來源為第三方開發者及使用者。因此,《戰車世界》經過官方更新後,玩家可能會發現使用變更後的檔案會出現遊戲客戶端問題(例如:FPS 數降低、畫面停止及遊戲崩潰、狙擊模式下材質消失等)。大多數案例只需要刪除模組就可以解決問題,但玩家有時可能需要重新安裝客戶端。

重要對於帶有經變更檔案的遊戲客戶端,Wargaming 不負任何處理責任,例外模組項目為 WG Social。建議所有使用這些模組的玩家下載、安裝現行版本。

關閉